# ApplicationFramework
TKLCAF
TNaming

# TNaming_StdMapNodeOfMapOfNamedShape Class Reference

`#include <TNaming_StdMapNodeOfMapOfNamedShape.hxx>`

## Public Member Functions

| TNaming_StdMapNodeOfMapOfNamedShape (const Handle(TNaming_NamedShape)&K, const TCollection_MapNodePtr &n)
Handle_TNaming_NamedShape & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TNaming_NamedShape | myKey

## Constructor & Destructor Documentation

TNaming_StdMapNodeOfMapOfNamedShape::TNaming_StdMapNodeOfMapOfNamedShape | ( | const Handle(TNaming_NamedShape)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TNaming_StdMapNodeOfMapOfNamedShape::Handle | ( | Standard_Type |  | ) | const

Handle_TNaming_NamedShape& TNaming_StdMapNodeOfMapOfNamedShape::Key | ( |  | ) | const

## Field Documentation

Handle_TNaming_NamedShape TNaming_StdMapNodeOfMapOfNamedShape::myKey`[private]`

The documentation for this class was generated from the following file:

- TNaming_StdMapNodeOfMapOfNamedShape.hxx